if (((DEFINED QGLVIEW) AND QGLVIEW) OR (NOT DEFINED QGLVIEW))
	find_package(OpenGL REQUIRED)
	shstk_qad_project(qglview FALSE "qad" "Gui;OpenGL;OpenGLWidgets;Xml" "qad_widgets;qad_utils;${OPENGL_LIBRARIES}")
	shstk_qad_install("qad" FALSE qglview "${out_HDR}" "${out_QM}")

	qad_sources(test_SRC DIR "qglview_test")
	qad_wrap(${test_SRC} CPPS test_CPP)
	qad_add_executable(qglview_test test_CPP)
	qad_target_link_libraries(qglview_test qglview)
endif()
